Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| loanProductId |
The loan product identifier. |
integer |
Required |
Body Parameters
None.
Response Information
Resource Description
The loan product.
Nano.LoanProduct| Name | Description | Type | Additional information |
|---|---|---|---|
| amortization |
Gets or sets the amortization, in months. |
integer |
None. |
| amortizationType |
Gets or sets the type of the amortization. |
string |
None. |
| description |
Gets or sets the description. |
string |
None. |
| displayOrder |
Gets or sets the display order. |
integer |
None. |
| hasDownPaymentAssistance |
Gets or sets a value indicating whether this has down payment assistance. |
boolean |
None. |
| hasIncomeRestrictions |
Gets or sets a value indicating whether the loan product has income restrictions. |
boolean |
None. |
| internalEnabled |
Gets or sets a value indicating whether this is internal enabled. |
boolean |
None. |
| isActive |
Gets or sets a value indicating whether this is active. |
boolean |
None. |
| isBrokered |
Gets or sets a value indicating whether this is btr. |
boolean |
None. |
| isHedgeable |
Gets or sets the is hedgeable. |
boolean |
None. |
| isPublic |
Gets or sets a value indicating whether this is public. |
boolean |
None. |
| isSubjectToMI |
Gets or sets a value indicating whether this is subject to MI. |
boolean |
None. |
| minAmortizationAndTerm |
Gets or sets the minimum amortization and term, in months, allowed when overriding Amortization/Term with a non-standard value. Null means the product does not support such an override. |
integer |
None. |
| minMiLtv |
Gets or sets the minimum MI LTV. |
decimal number |
None. |
| nickname |
Gets or sets the nickname. |
string |
None. |
| productCode |
Gets or sets the Product Code. |
string |
None. |
| requiresTargetRate |
Gets or sets a value indicating whether this Requires Target Rate. |
boolean |
None. |
| state |
Gets or sets the state. |
string |
None. |
| tier |
Gets or sets the tier. |
integer |
None. |
| term |
Gets or sets the term. |
integer |
None. |
| armTerm |
Gets or sets the ARM term identifier. |
integer |
None. |
| defaultDocumentationType |
Gets or sets the default documentation type identifier. |
integer |
None. |
| id |
Gets or sets the loan product identifier. |
integer |
None. |
| loanProgram |
Gets or sets the loan program identifier. |
integer |
None. |
| forwardCommitments |
Gets or sets the forward commitment identifiers. |
Collection of integer |
None. |
| specialFeatures |
Gets or sets the special feature identifiers. |
Collection of integer |
None. |
| lockHistories |
Gets or sets the lock history identifiers. |
Collection of integer |
None. |
Response Formats
application/json, text/json
{
"amortization": 1,
"amortizationType": "sample String 2",
"description": "sample String 3",
"displayOrder": 4,
"hasDownPaymentAssistance": true,
"hasIncomeRestrictions": true,
"internalEnabled": true,
"isActive": true,
"isBrokered": true,
"isHedgeable": true,
"isPublic": true,
"isSubjectToMI": true,
"minAmortizationAndTerm": 1,
"minMiLtv": 1.0,
"nickname": "sample String 12",
"productCode": "sample String 13",
"requiresTargetRate": true,
"state": "sample String 15",
"tier": 16,
"term": 17,
"armTerm": "1",
"defaultDocumentationType": "18",
"id": "19",
"loanProgram": "20",
"forwardCommitments": [
1,
2
],
"specialFeatures": [
1,
2
],
"lockHistories": [
"1",
"2"
]
}
text/html
{"amortization":1,"amortizationType":"sample String 2","description":"sample String 3","displayOrder":4,"hasDownPaymentAssistance":true,"hasIncomeRestrictions":true,"internalEnabled":true,"isActive":true,"isBrokered":true,"isHedgeable":true,"isPublic":true,"isSubjectToMI":true,"minAmortizationAndTerm":1,"minMiLtv":1.0,"nickname":"sample String 12","productCode":"sample String 13","requiresTargetRate":true,"state":"sample String 15","tier":16,"term":17,"armTerm":"1","defaultDocumentationType":"18","id":"19","loanProgram":"20","forwardCommitments":[1,2],"specialFeatures":[1,2],"lockHistories":["1","2"]}
application/vnd.api+json
Sample not available.